[Scipy-tickets] [SciPy] #1414: Seg. fault from scipy.interpolate or numpy

SciPy Trac scipy-tickets@scipy....
Fri Mar 25 17:56:29 CDT 2011


#1414: Seg. fault from scipy.interpolate or numpy
-------------------------------+--------------------------------------------
 Reporter:  jturner            |       Owner:  somebody
     Type:  defect             |      Status:  new     
 Priority:  normal             |   Milestone:          
Component:  scipy.interpolate  |     Version:  0.9.0   
 Keywords:  segmentation       |  
-------------------------------+--------------------------------------------

Comment(by pv):

 I'm not able to reproduce this -- Numpy 1.5.1, Python 2.5.5, Scipy 0.9.0
 on Ubuntu 10.10 x86_64.

 Which Fortran compilers did you have on the two platforms? g77 or
 gfortran?

 The GDB backtrace may indicate results of memory corruption, and the error
 may have occurred at a point different from where the crash occurs.

 Do you have Valgrind installed on the problematic machine? If yes, it
 could be useful if you could run
 {{{
 valgrind --suppressions=valgrind-python.supp python2.5 test.py
 }}}
 and attach the output. (The valgrind-python.supp file is attached here.)

-- 
Ticket URL: <http://projects.scipy.org/scipy/ticket/1414#comment:1>
SciPy <http://www.scipy.org>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list